# `QWheelEdit`

digraph inheritanceb9af173456 { bgcolor=transparent; rankdir=UD; ratio=compress; size="8.0, 12.0"; "QFrame" [color=dodgerblue1,fillcolor=white,fontcolor=black,fontname="Vera Sans, DejaVu Sans, Liberation Sans, Arial, Helvetica, sans",fontsize=10,height=0.5,shape=box,style=rounded,tooltip="QFrame(parent: QWidget|None = None, flags: Qt.WindowFlags|Qt.WindowType = Qt.WindowFlags())"]; "QWidget" -> "QFrame" [arrowsize=0.5,style="setlinewidth(0.5)"]; "QObject" [color=dodgerblue1,fillcolor=white,fontcolor=black,fontname="Vera Sans, DejaVu Sans, Liberation Sans, Arial, Helvetica, sans",fontsize=10,height=0.5,shape=box,style=rounded,tooltip="QObject(parent: QObject|None = None)"]; "wrapper" -> "QObject" [arrowsize=0.5,style="setlinewidth(0.5)"]; "QPaintDevice" [color=dodgerblue1,fillcolor=white,fontcolor=black,fontname="Vera Sans, DejaVu Sans, Liberation Sans, Arial, Helvetica, sans",fontsize=10,height=0.5,shape=box,style=rounded,tooltip="QPaintDevice()"]; "simplewrapper" -> "QPaintDevice" [arrowsize=0.5,style="setlinewidth(0.5)"]; "QWheelEdit" [URL="#taurus.qt.qtgui.input.QWheelEdit",color=dodgerblue1,fillcolor=white,fontcolor=black,fontname="Vera Sans, DejaVu Sans, Liberation Sans, Arial, Helvetica, sans",fontsize=10,height=0.5,shape=box,style=rounded,target="_top",tooltip="A widget designed to handle numeric scalar values. It allows interaction"]; "QFrame" -> "QWheelEdit" [arrowsize=0.5,style="setlinewidth(0.5)"]; "QWidget" [color=dodgerblue1,fillcolor=white,fontcolor=black,fontname="Vera Sans, DejaVu Sans, Liberation Sans, Arial, Helvetica, sans",fontsize=10,height=0.5,shape=box,style=rounded,tooltip="QWidget(parent: QWidget|None = None, flags: Qt.WindowFlags|Qt.WindowType = Qt.WindowFlags())"]; "QObject" -> "QWidget" [arrowsize=0.5,style="setlinewidth(0.5)"]; "QPaintDevice" -> "QWidget" [arrowsize=0.5,style="setlinewidth(0.5)"]; "simplewrapper" [color=dodgerblue1,fillcolor=white,fontcolor=black,fontname="Vera Sans, DejaVu Sans, Liberation Sans, Arial, Helvetica, sans",fontsize=10,height=0.5,shape=box,style=rounded]; "wrapper" [color=dodgerblue1,fillcolor=white,fontcolor=black,fontname="Vera Sans, DejaVu Sans, Liberation Sans, Arial, Helvetica, sans",fontsize=10,height=0.5,shape=box,style=rounded]; "simplewrapper" -> "wrapper" [arrowsize=0.5,style="setlinewidth(0.5)"]; }

class QWheelEdit(parent=None)

  A widget designed to handle numeric scalar values. It allows interaction based on single digit as well as normal value edition.

  Import from `taurus.qt.qtgui.input` as:

      from taurus.qt.qtgui.input import QWheelEdit

  DefaultDecDigitCount = 2
  DefaultIntDigitCount = 6
  autoRepeat
    pyqtProperty(type, fget=None, fset=None, freset=None, fdel=None, doc=None,

      designable=True, scriptable=True, stored=True, user=False, constant=False, final=False, notify=None, revision=0) -> property attribute

    type is the type of the property. It is either a type object or a string that is the name of a C++ type. freset is a function for resetting an attribute to its default value. designable sets the DESIGNABLE flag (the default is True for writable properties and False otherwise). scriptable sets the SCRIPTABLE flag. stored sets the STORED flag. user sets the USER flag. constant sets the CONSTANT flag. final sets the FINAL flag. notify is the NOTIFY signal. revision is the REVISION. The other parameters are the same as those required by the standard Python property type. Properties defined using pyqtProperty behave as both Python and Qt properties. Decorators can be used to define new properties or to modify existing ones.

  autoRepeatDelay
    pyqtProperty(type, fget=None, fset=None, freset=None, fdel=None, doc=None,

      designable=True, scriptable=True, stored=True, user=False, constant=False, final=False, notify=None, revision=0) -> property attribute

    type is the type of the property. It is either a type object or a string that is the name of a C++ type. freset is a function for resetting an attribute to its default value. designable sets the DESIGNABLE flag (the default is True for writable properties and False otherwise). scriptable sets the SCRIPTABLE flag. stored sets the STORED flag. user sets the USER flag. constant sets the CONSTANT flag. final sets the FINAL flag. notify is the NOTIFY signal. revision is the REVISION. The other parameters are the same as those required by the standard Python property type. Properties defined using pyqtProperty behave as both Python and Qt properties. Decorators can be used to define new properties or to modify existing ones.

  autoRepeatInterval
    pyqtProperty(type, fget=None, fset=None, freset=None, fdel=None, doc=None,

      designable=True, scriptable=True, stored=True, user=False, constant=False, final=False, notify=None, revision=0) -> property attribute

    type is the type of the property. It is either a type object or a string that is the name of a C++ type. freset is a function for resetting an attribute to its default value. designable sets the DESIGNABLE flag (the default is True for writable properties and False otherwise). scriptable sets the SCRIPTABLE flag. stored sets the STORED flag. user sets the USER flag. constant sets the CONSTANT flag. final sets the FINAL flag. notify is the NOTIFY signal. revision is the REVISION. The other parameters are the same as those required by the standard Python property type. Properties defined using pyqtProperty behave as both Python and Qt properties. Decorators can be used to define new properties or to modify existing ones.

  buttonPressed(self, b) → None

    Slot executed when an arrow button is pressed from the button group

    @param[in] b (_ArrowButton) the button which was pressed

  clearWarning(self) → None

    Clears the warning style. If not in warning mode, nothing is done.

  decimalDigits
    pyqtProperty(type, fget=None, fset=None, freset=None, fdel=None, doc=None,

      designable=True, scriptable=True, stored=True, user=False, constant=False, final=False, notify=None, revision=0) -> property attribute

    type is the type of the property. It is either a type object or a string that is the name of a C++ type. freset is a function for resetting an attribute to its default value. designable sets the DESIGNABLE flag (the default is True for writable properties and False otherwise). scriptable sets the SCRIPTABLE flag. stored sets the STORED flag. user sets the USER flag. constant sets the CONSTANT flag. final sets the FINAL flag. notify is the NOTIFY signal. revision is the REVISION. The other parameters are the same as those required by the standard Python property type. Properties defined using pyqtProperty behave as both Python and Qt properties. Decorators can be used to define new properties or to modify existing ones.

  editingFinished(self) → None

    Slot called when the user finishes editing

  getAutoRepeat()
  getAutoRepeatDelay()
  getAutoRepeatInterval()
  getDecDigitCount(self) → int

    Gets the number of decimal digits this widget displays

    @return (int) the number of decimal digits this widget displays

  getDigitCount(self) → int

    Gets the total number of digits this widget displays

    @return (int) the total number of digits this widget displays

  getEditWidget(self) → QWidget

    Gets the widget object used when the user manually sets the value

    @return (QWidget) the widget used for editing

  getHideEditWidget(self) → bool

    Gets the info if edition widget should be hidden when ‘focusOut’ event occurs.

    @return (bool)

  getIntDigitCount(self) → int

    Gets the number of integer digits this widget displays

    @return (int) the number of integer digits this widget displays

  getMaxValue(self) → float

    Gets the maximum allowed value

    @return (float) the maximum allowed value

  getMinValue(self) → float

    Gets the minimum allowed value

    @return (float) the minimum allowed value

  getPreviousValue(self) → float

    Gives the previous value of this widget

    @return (float) the previous value of this widget

  getShowArrowButtons()
  getValue(self) → float

    Gets the current value of this widget

    @return (float) the value currently displayed by the widget

  getValueStr(self) → str

    Gets the current value string of this widget

    @return (str) the value currently displayed by the widget

  hideEditWidget(self) → None

    Forces the edition widget to be hidden

  integerDigits
    pyqtProperty(type, fget=None, fset=None, freset=None, fdel=None, doc=None,

      designable=True, scriptable=True, stored=True, user=False, constant=False, final=False, notify=None, revision=0) -> property attribute

    type is the type of the property. It is either a type object or a string that is the name of a C++ type. freset is a function for resetting an attribute to its default value. designable sets the DESIGNABLE flag (the default is True for writable properties and False otherwise). scriptable sets the SCRIPTABLE flag. stored sets the STORED flag. user sets the USER flag. constant sets the CONSTANT flag. final sets the FINAL flag. notify is the NOTIFY signal. revision is the REVISION. The other parameters are the same as those required by the standard Python property type. Properties defined using pyqtProperty behave as both Python and Qt properties. Decorators can be used to define new properties or to modify existing ones.

  isReturnForwarded(self) → bool

    Gets the info if returnPressed is forwarded.

    @return (bool)

  keyPressEvent(self, key_event) → None

    Exectuted when the user presses a key. F2 enters/leaves edition mode. ESC leaves edition mode

  maxValue
    pyqtProperty(type, fget=None, fset=None, freset=None, fdel=None, doc=None,

      designable=True, scriptable=True, stored=True, user=False, constant=False, final=False, notify=None, revision=0) -> property attribute

    type is the type of the property. It is either a type object or a string that is the name of a C++ type. freset is a function for resetting an attribute to its default value. designable sets the DESIGNABLE flag (the default is True for writable properties and False otherwise). scriptable sets the SCRIPTABLE flag. stored sets the STORED flag. user sets the USER flag. constant sets the CONSTANT flag. final sets the FINAL flag. notify is the NOTIFY signal. revision is the REVISION. The other parameters are the same as those required by the standard Python property type. Properties defined using pyqtProperty behave as both Python and Qt properties. Decorators can be used to define new properties or to modify existing ones.

  minValue
    pyqtProperty(type, fget=None, fset=None, freset=None, fdel=None, doc=None,

      designable=True, scriptable=True, stored=True, user=False, constant=False, final=False, notify=None, revision=0) -> property attribute

    type is the type of the property. It is either a type object or a string that is the name of a C++ type. freset is a function for resetting an attribute to its default value. designable sets the DESIGNABLE flag (the default is True for writable properties and False otherwise). scriptable sets the SCRIPTABLE flag. stored sets the STORED flag. user sets the USER flag. constant sets the CONSTANT flag. final sets the FINAL flag. notify is the NOTIFY signal. revision is the REVISION. The other parameters are the same as those required by the standard Python property type. Properties defined using pyqtProperty behave as both Python and Qt properties. Decorators can be used to define new properties or to modify existing ones.

  mouseDoubleClickEvent(self, mouse_event)

    Executed when user presses double click. This widget shows the edition widget when this happens

  numberChanged

    int = …, arguments: Sequence = …) -> PYQT_SIGNAL

    types is normally a sequence of individual types. Each type is either a type object or a string that is the name of a C++ type. Alternatively each type could itself be a sequence of types each describing a different overloaded signal. name is the optional C++ name of the signal. If it is not specified then the name of the class attribute that is bound to the signal is used. revision is the optional revision of the signal that is exported to QML. If it is not specified then 0 is used. arguments is the optional sequence of the names of the signal’s arguments.

    Type:

      pyqtSignal(*types, name

    Type:

      str = …, revision

  numberEdited

    int = …, arguments: Sequence = …) -> PYQT_SIGNAL

    types is normally a sequence of individual types. Each type is either a type object or a string that is the name of a C++ type. Alternatively each type could itself be a sequence of types each describing a different overloaded signal. name is the optional C++ name of the signal. If it is not specified then the name of the class attribute that is bound to the signal is used. revision is the optional revision of the signal that is exported to QML. If it is not specified then 0 is used. arguments is the optional sequence of the names of the signal’s arguments.

    Type:

      pyqtSignal(*types, name

    Type:

      str = …, revision

  resetAutoRepeat()
  resetDecDigitCount(self) → None

    Resets the number of decimal digits this widget displays to DefaultDecDigitCount

  resetIntDigitCount(self) → None

    Resets the number of integer digits this widget displays to DefaultIntDigitCount

  resetMaxValue(self) → None

    Resets the maximum allowed value to +inf

  resetMinValue(self) → None

    Resets the minimum allowed value to -inf

  resetShowArrowButtons()
  resetValue(self) → None

    Resets the value of this widget to 0.0

  returnPressed

    int = …, arguments: Sequence = …) -> PYQT_SIGNAL

    types is normally a sequence of individual types. Each type is either a type object or a string that is the name of a C++ type. Alternatively each type could itself be a sequence of types each describing a different overloaded signal. name is the optional C++ name of the signal. If it is not specified then the name of the class attribute that is bound to the signal is used. revision is the optional revision of the signal that is exported to QML. If it is not specified then 0 is used. arguments is the optional sequence of the names of the signal’s arguments.

    Type:

      pyqtSignal(*types, name

    Type:

      str = …, revision

  setAutoRepeat(v)
  setAutoRepeatDelay(milisecs)
  setAutoRepeatInterval(milisecs)
  setDecDigitCount(self, n) → None

    Sets the number of decimal digits this widget displays

    @param[in] n (int) the number of decimal digits to display

  setDigitCount(self, int_nb, dec_nb) → None

    Updates the displayed digits.

    @param[in] int_nb(int) number of integer digits @param[in] dec_nb(int) number of decimal digits

  setHideEditWidget(focus_out=True)

    setFocusOut(self, focus_out=True) -> None

    Sets if edition widget should be hidden when ‘focusOut’ event occurs. If set to False, edition widget is hidden only when ‘F2’, ‘Esc’, ‘Enter’ and arrow button are pressed. Default set to True.

    @param[in] focus_out (bool) whether or not to hide edition widget after ‘focusOut’ event.

  setIntDigitCount(self, n) → None

    Sets the number of integer digits this widget displays

    @param[in] n (int) the number of integer digits to display

  setMaxValue(self, v) → None

    Sets the maximum allowed value for the widget

    @param[in] v (float) the new maximum allowed value

  setMinValue(self, v) → None

    Sets the minimum allowed value for the widget

    @param[in] v (float) the new minimum allowed value

  setReturnForwarded(self, forward_rtn=False) → None

    Sets forwarding of returnPressed. If set to True, returnPressed from edition widget emits returnPressed of ‘QWheelEdit’ widget.

    @param[in] forward_rtn (bool) whether or not to forward returnPressed signal

  setRoundFunc(self, roundFunc) → None

    Sets the rounding function to use when calling _setValue(). This allows you to filter invalid user input

    @param[in] roundFunc (callable) the rounding function to use

  setShowArrowButtons(yesno)
  setValue(self, v) → None

    Sets the value of this widget. Send a ‘valueChanged(double)’ Qt signal

    @param[in] v (float/Quantity) the value to be set

  setWarning(self, msg) → None

    Activates the warning style for this widget. This means a violet border and a tooltip with the given message.

    @param[in] msg (str) the message to be displayed as tooltip

  showArrowButtons
    pyqtProperty(type, fget=None, fset=None, freset=None, fdel=None, doc=None,

      designable=True, scriptable=True, stored=True, user=False, constant=False, final=False, notify=None, revision=0) -> property attribute

    type is the type of the property. It is either a type object or a string that is the name of a C++ type. freset is a function for resetting an attribute to its default value. designable sets the DESIGNABLE flag (the default is True for writable properties and False otherwise). scriptable sets the SCRIPTABLE flag. stored sets the STORED flag. user sets the USER flag. constant sets the CONSTANT flag. final sets the FINAL flag. notify is the NOTIFY signal. revision is the REVISION. The other parameters are the same as those required by the standard Python property type. Properties defined using pyqtProperty behave as both Python and Qt properties. Decorators can be used to define new properties or to modify existing ones.

  showEditWidget(self) → None

    Forces the edition widget to be displayed

  value
    pyqtProperty(type, fget=None, fset=None, freset=None, fdel=None, doc=None,

      designable=True, scriptable=True, stored=True, user=False, constant=False, final=False, notify=None, revision=0) -> property attribute

    type is the type of the property. It is either a type object or a string that is the name of a C++ type. freset is a function for resetting an attribute to its default value. designable sets the DESIGNABLE flag (the default is True for writable properties and False otherwise). scriptable sets the SCRIPTABLE flag. stored sets the STORED flag. user sets the USER flag. constant sets the CONSTANT flag. final sets the FINAL flag. notify is the NOTIFY signal. revision is the REVISION. The other parameters are the same as those required by the standard Python property type. Properties defined using pyqtProperty behave as both Python and Qt properties. Decorators can be used to define new properties or to modify existing ones.

  wheelEvent(self, a0: QWheelEvent | None)